Bug 21949 - doesn't force the installation of the new chrooted
: doesn't force the installation of the new chrooted
Status: NEW
: Branch 5.0
(All bugs in Branch 5.0/libnss-mdns)
: unspecified
: all Linux
: P3 normal
Assigned To:
:
:
:
: 18401
:
  Show dependency tree
 
Reported: 2009-10-15 17:37 by
Modified: 2009-10-15 19:01 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2009-10-15 17:37:28
The problem described in https://bugzilla.altlinux.org/show_bug.cgi?id=18401 is
also true for upgrades using Branch 5.0 (with libnss-mdns-0.10-alt2) as the
source.


+++ This bug was initially created as a clone of Bug #18407 +++

libnss-mdns-0.10-alt1

The problem described in https://bugzilla.altlinux.org/show_bug.cgi?id=18401 is
also true for upgrades using Branch 4.1 as the source:

$ rpm -q chrooted                   
chrooted-0.3.1-alt1
$ rpm -q rpm apt
rpm-4.0.4-alt95.M41.11
apt-0.5.15lorg2-alt20
$ 

apt> install libnss-mdns 
Чтобы выполнить эту операцию необходимы изменения, которые не были запрошены.
Следующие НОВЫЕ пакеты будут установлены:
  avahi-daemon libdaemon libnss-mdns
0 будет обновлено, 3 новых установлено, 0 пакетов будет удалено и 0 будет
сохранено.
Понадобится получить более 488kB архивов.
После распаковки понадобится более 1433kB дискового пространства.
Продолжить? [Y/n]n
Прервано.
apt> 

apt-get install doesn't understand it needs to update chrooted.

I will try a stand-alone "rpm -i" next.
------- Comment #1 From 2009-10-15 17:42:28 -------
Workaround: 

$ sudo apt-get install
rsync://rsync.altlinux.org/ALTLinux/Sisyphus/i586/RPMS.classic/libnss-mdns-0.10-alt3.i586.rpm
Get:1
rsync://rsync.altlinux.org/ALTLinux/Sisyphus/i586/RPMS.classic/libnss-mdns-0.10-alt3.i586.rpm
[20,4kB]
Fetched 20,4kB in 0s (96,1kB/s)                  
Reading Package Lists... Done
Building Dependency Tree... Done
Selecting libnss-mdns for 'libnss-mdns-0.10-alt3.i586.rpm'
The following extra packages will be installed:
  chrooted filesystem libnss-mdns
The following packages will be upgraded
  chrooted filesystem libnss-mdns
3 upgraded, 0 newly installed, 0 removed and 1608 not upgraded.
Need to get 0B/45,7kB of archives.